/*
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: x11player.h,v 1.4 2003/09/02 15:59:36 schmitzj Exp $
 *
 */

#ifndef X11PLAYER_H
#define X11PLAYER_H

#include "x11control.h"

#include <vdr/plugin.h>
#include <vdr/player.h>
#include <vdr/thread.h>

#include <Magick++.h>
using namespace Magick;

#include "mpeg.h"

void x11log(int level, const char *fmt, ...);

class x11player : public cPlayer, cThread
{
	bool doexit;
	void send_pes_packet(unsigned char *data, int len, int timestamp);
	void xwd2mpg();

	mpeg_frame iframe;
	
protected:
 	virtual void Activate(bool On);
 	virtual void Action(void);
public:
 	x11player();
	virtual ~x11player();
};

class x11control : public cControl
{
private:
  cX11Control *control;
  x11player *player;
public:
  x11control(x11player *);
  virtual ~x11control();
  virtual void Hide(void);
  virtual eOSState ProcessKey(eKeys Key);
};

#endif
